Help

3

Which python version is recommended?

Avatar
ton123

What is the recommended version of python to use? I assume it can be different for the various OE versions.

What kind of problems are know if you don't use a recommended python version.

アバター
Discard
3 回答
2
Avatar
Stephen Mack
Best Answer

Per a GitHub comment on 7 January 2015 by Odoo's Chief Technical Officer, they are targeting Python 2.7 for all current development.

アバター
Discard
9
Avatar
Davide Corio
Best Answer

OpenERP (versions 6 and 7) is reported to work on both python 2.6 and 2.7.

Python 2.7 is the suggested one btw, since many things were fixed and changed in this versione, like the way python does rounding.

Python 3.x isn't supported yet AFAIK.

1 コメント
アバター
Discard
Avatar
Pierre Soum
-

Is there any plan to support v3 at some point?

1
Avatar
Eric Mugo
Best Answer

Openerp/Odoo v7 - Python 2.6

Reasons:

  • openerp python code is installed in /usr/lib/python2.6/dist-packages
  • /usr/bin/openerp-server contains the line #!/usr/bin/python2.6 which means it was meant to run on python 2.6

A problem I faced running v7 on python 2.7 is that upgrades broke my installation since the upgrade was installed in the default locations for python2.6 while the launch script references a non-existent python2.6.

1 コメント
アバター
Discard
Avatar
Ludo - 21South
-

For OpenERP/Odoo v8 and up you need 2.7. This has some v3 back ported functionality that is not available in 2.6.